#ifndef __RB_GAMMA_H__
#define __RB_GAMMA_H__

#include <gtk/gtkdrawingarea.h>


G_BEGIN_DECLS

#define RB_TYPE_GAMMA            (rb_gamma_get_type ())
#define RB_GAMMA(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), RB_TYPE_GAMMA, RbGamma))
#define RB_GAMMA_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), RB_TYPE_GAMMA, RbGammaClass))
#define RB_IS_GAMMA(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), RB_TYPE_GAMMA))
#define RB_IS_GAMMA_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), RB_TYPE_GAMMA))
#define RB_GAMMA_ET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), RB_TYPE_GAMMA, RbGammaClass))


typedef struct _RbGamma RbGamma;
typedef struct _RbGammaClass RbGammaClass;
typedef struct _RbGammaPrivate RbGammaPrivate;


struct _RbGamma
{
	/*< private > */
	GtkDrawingArea parent;

	RbGammaPrivate *_priv;
};

struct _RbGammaClass
{
	GtkDrawingAreaClass parent_class;
};


GType rb_gamma_get_type (void);

GtkWidget *rb_gamma_new (GdkColor color, const double gamma);

G_END_DECLS

#endif /* __RB_GAMMA_H__ */
